proxies:
- name: "vless-out"
  type: vless
  server: fi-i.hiva-service.com
  port: 2083
  uuid: base64password
  udp: true
  packet-encoding: xudp
  tls: false
  network: grpc
  grpc-opts:
    grpc-service-name: graphql

proxy-groups:
- name: PROXY
  type: select
  proxies:
    - vless-out

rules:
- MATCH,PROXY
- GEOSITE,category-ir,DIRECT
- GEOIP,private,DIRECT

dns:
  enable: true
  default-nameserver:
    - 1.1.1.2
    - 1.0.0.2
  nameserver:
    - 1.1.1.2
    - 1.0.0.2
  proxy-server-nameserver:
    - system
  direct-nameserver:
    - system